@echo off
if "%OS%"=="Windows_NT" setlocal
echo Using PROCESSOR_ARCHITECTURE=%PROCESSOR_ARCHITECTURE%
set ARCH=.
if "%PROCESSOR_ARCHITECTURE%"=="AMD64" set ARCH=amd64
if "%PROCESSOR_ARCHITECTURE%"=="IA64" set ARCH=ia64

echo To uninstall call: "bin\windows\%ARCH%\epagesj-server //DS//epagesj-server"
@echo on
bin\windows\%ARCH%\epagesj-server install epagesj-server --Description "Starts and stops ePagesJ Server" --DisplayName "ePagesJ Server" --Classpath bin\epagesj-server.jar --StartMode jvm --StartClass com.epages.epagesj.EPagesJStart --StartMethod main --StartPath "%cd%" --StopMode  jvm --StopClass  com.epages.epagesj.EPagesJStart --StopMethod main ++StopParams stop --StopPath "%cd%" --JavaHome "%EPAGES_JAVA%" --Jvm "%EPAGES_JAVA%\jre\bin\server\jvm.dll" ++JvmOptions "-Dlogback.configurationFile=conf/logback-epagesj.xml;-XX:+PrintCommandLineFlags;-XX:+UseParallelOldGC;-XX:+PrintGCDetails;-XX:+PrintGCDateStamps;-Xloggc:logs/epagesj-server_gc.log;-Dfile.encoding=UTF-8" --StdOutput auto --StdError auto --PidFile epagesj-server.pid --LogPath logs --Startup auto